{* <!-- Event Cats (event categories) LucMorizur June - ... 2009 --> *}

{include file='../../../plugins/event_cats/admin/template/header.inc.tpl'}

{* <!-- Whether plugin Additionnal Pages is active or not --> *}
<div style = "text-align:right; font-style:italic;">
  {if $ec_ap_ok}
    {'Additional Pages active'|@translate}
    <script type = "text/javascript">
      var ec_ap_ok = {if count($ec_lists.add_pages) == 0}false{else}true{/if};
    </script>
  {else}
    {'Additional Pages inactive'|@translate}
    <script type = "text/javascript">
      var ec_ap_ok = false;
    </script>
  {/if}
</div>

{* <!-- Parameters list --> *}
<form class = "filter" method = "post" name = "ec_new_code" action = "" onsubmit = "return ec_check_submit();">
  <input type = "hidden" id = "ec_act1_id" name = "ec_act1" />
  <input type = "hidden" id = "ec_act2_id" name = "ec_entry_sel" />
  
  {* <!-- Page title. Can be "New entry" or "Entry modification" --> *}
  <div style = "text-align:center;">
    <a style = "font-weight:bold; font-size:120%;" href = "#ec_top" name = "ec_top" title = "{'Place title on top ttip'|@translate}">
      <!--[if !IE]> <--> <label> <!--> <![endif]-->
        {if $ec_is_creation}
          {'New entry title'|@translate}
        {else}
          {'Modify entry title'|@translate}
        {/if}
      <!--[if !IE]> <--> </label> <!--> <![endif]-->
      <!-- What we're able to do for our "prefered" browser |-( ...!  -->
    </a>
    {if $ec_is_creation}
      <br /><br />
      <input class = "submit" type = "button" name = "ec_submit_gen_full_auto" value = "{'Full auto'|@translate}"
       id = "ec_submit_gen_full_auto_id" onclick = "ec_gen_full_auto();" style = "margin-top:0;"/>
    {/if}
  </div>
  
  {* <!-- [ [New / existing code] / [Existing entry] ] selection --> *}
  <fieldset>
    <legend style = "font-weight:bold;">
      {if $ec_is_creation}
        {'Code'|@translate}
      {else}
        {'Selected entry'|@translate}
      {/if}
    </legend>
    
      {if $ec_is_creation}
        <li>
          {* <!-- New code (to create) --> *}
          <label for = "ec_in_up_code_id" onclick = "ec_mark_code('ec_sel_code_new');" {$ec_hidden_when_no_code} >
            <input type = "radio" name = "ec_sel_code" for = "ec_in_up_code_id" value = "new" id = "ec_sel_code_new"/>
            {'New code'|@translate}
          </label>
          <span {$ec_hidden_when_no_code} >&nbsp;</span>
          <label for = "ec_in_up_code_id" style = "margin:0;">
            <input class = "submit" type = "button" name = "ec_submit_gen_code" value = "{'Auto code button'|@translate}"
             id = "ec_submit_gen_code_id" onclick = "ec_gen_code();" style = "margin:0;"
            />
          </label>
          {'Auto code mid'|@translate}
          <select name = "ec_in_up_auto_code_length" id = "ec_in_up_auto_code_length_id" onchange = "ec_auto_code_digits_nb = this.value;">
            {foreach from=$ec_auto_code_dg_nb item=ec_item name=listloop}
              <option value = "{$ec_item}">
                {$ec_item}
                {if $smarty.foreach.listloop.index == 0}
                  {'Auto code min'|@translate}
                {/if}
                {if $smarty.foreach.listloop.index == count($ec_auto_code_dg_nb) - 1}
                  {'Auto code max'|@translate}
                {/if}
              </option>
            {/foreach}
          </select>
          {'Auto code end'|@translate}<br />
          <li style = "padding-left: 30px;">
            <input type = "text" name = "ec_in_up_code" maxlength = "32" size = "40"
             id = "ec_in_up_code_id" onblur = "ec_check_code_text(this.value);"
            />
          </li>
        </li>
        
        <li>
          {* <!-- Known code --> *}
          <label for = "ec_in_up_code_list_id" onclick = "ec_mark_code('ec_sel_code_old');" {$ec_hidden_when_no_code}>
            <input type = "radio" name = "ec_sel_code" for = "ec_in_up_code_list_id" {$ec_hidden_when_no_code} value = "old" id = "ec_sel_code_old" />
            {'Existing code'|@translate}
          </label>
          <select name = "ec_in_up_code_list" id = "ec_in_up_code_list_id" onchange = "ec_change_code_list(this.value);" {$ec_hidden_when_no_code} >
            {foreach from=$ec_lists.duplicable_codes.codes key=ec_key item=ec_val}
              <option value = "{$ec_val.id}">{$ec_key}</option>
            {/foreach}
          </select><br />
        </li>
        
      {else}
        
        {* <!-- Existing entry selection --> *}
        <li>
          {* <!-- Entry choice --> *}
          <select name = "ec_in_up_entry_list" id = "ec_in_up_entry_list_id" onchange = "ec_mark_entry(this.value);">
            {foreach from=$ec_lists.ec_table item=ec_val}
              <option value = "{$ec_val.id}">{$ec_val.id} : {$ec_val.code}</option>
            {/foreach}
          </select>
        </li>
        
      {/if}
    
  </fieldset>
  
  {* <!-- User to identify --> *}
  <fieldset>
    <legend style = "font-weight:bold;">
      {'Identified user'|@translate}
      <span style = "font-weight:bold; color:red;" id = "ec_in_up_pwd_warn">&nbsp;</span><br />
    </legend>
    
      {if !$ec_is_creation}
        <li>
          {* <!-- None --> *}
          <label onclick = "return ec_mark_user('ec_sel_user_none');">
            <input type = "radio" name = "ec_sel_user" value = "none" id = "ec_sel_user_none" />
            {'No user'|@translate}
          </label><br />
        </li>
      {/if}
      
      <li>
        {* <!-- New user (to create) --> *}
        <label for = "ec_in_up_usr_txt_id" onclick = "return ec_mark_user('ec_sel_user_new');" {$ec_hidden_when_no_user} >
          <input type = "radio" name = "ec_sel_user" for = "ec_in_up_usr_txt_id" value = "new" id = "ec_sel_user_new" {$ec_hidden_when_no_user} />
          {'New generic user'|@translate}
        </label>
        <span {$ec_hidden_when_no_user} >&nbsp;</span>
        <label for = "ec_in_up_usr_txt_id" style = "margin:0;">
          <input class = "submit" type = "button" name = "ec_submit_gen_user" value = "{'Generate username'|@translate}"
           id = "ec_submit_gen_user_id" onclick = "ec_gen_user();"
          />
        </label><br />
        <li style = "padding-left: 30px;">
          <label class = "ec_block" onclick = "return ec_mark_user('ec_sel_user_new');">{'New username'|@translate}<br />
            <input type = "text" name = "login" id = "ec_in_up_usr_txt_id" maxlength = "50"
             size = "20" onblur = "ec_new_user_text = this.value; ec_check_user_text();"
            />
          </label>
          <label class = "ec_block" onclick = "return ec_mark_user('ec_sel_user_new');">{'New password'|@translate}<br />
            <input type = "text" name = "password" id = "ec_in_up_psd_txt_id" maxlength = "32"
             size = "20" onblur = "ec_new_psd_text = this.value; ec_check_pwd_text();"
            />
          </label>
          <label class = "ec_block" onclick = "return ec_mark_user('ec_sel_user_new');">{'Confirm password'|@translate}<br />
            <input type = "password" id = "ec_confirm_psd_txt_id" maxlength = "32" size = "20"/>
          </label>
          <label class = "ec_block" onclick = "ec_check_grp_text(); return ec_mark_user('ec_sel_user_new');" for = "ec_in_up_grp_txt_id">
            <input type = "checkbox" name = "ec_in_up_newgroup" id = "ec_in_up_newgroup_id"
             onchange = "ec_selected_old_group = (this.checked != '');"
            />
            <span onMouseover = "ec_chk_over_grp = true;" onMouseout = "ec_chk_over_grp = false;">
              {'New group'|@translate}
            </span><br />
            <input type = "text" name = "groupname" id = "ec_in_up_grp_txt_id" maxlength = "32"
             size = "20" onblur = "ec_new_grp_text = this.value; if (this.value != '') ec_selected_old_group = true;"
            />
          </label>
        </li><br />
      </li>
      
      <li>
        {* <!-- Known user --> *}
        <label for = "ec_in_up_usr_list_id" onclick = "return ec_mark_user('ec_sel_user_old');" {$ec_hidden_when_no_user} >
          <input type = "radio" name = "ec_sel_user" for = "ec_in_up_usr_list_id" {$ec_hidden_when_no_user} value = "old" id = "ec_sel_user_old" />
          {'Existing user'|@translate}
        </label>
        <select name = "ec_in_up_usr_list" id = "ec_in_up_usr_list_id" onchange = "ec_change_user_list(this.value);" {$ec_hidden_when_no_user} >
          {foreach from=$ec_lists.user_ids key=ec_key item=ec_val}
            <option label = "{$ec_val}" value = "{$ec_key}" >{$ec_val}</option>
          {/foreach}
        </select><br />
      </li>
    
  </fieldset>
  
  {* <!-- Page to display --> *}
  <fieldset>
    <legend style = "font-weight:bold;">{'Displayed page'|@translate}</legend>
    
    <li>
      <label class = "ec_block" for = "ec_in_up_forced_id" style = "margin-top:5px;" onclick = "ec_mark_forced();">
        <input type = "checkbox" name = "ec_in_up_forced" id = "ec_in_up_forced_id">
        <span id = "ec_style_forced_id">&nbsp;</span>
      </label>
    </li>
    
    <li>
      {* <!-- Additionnal Page, provided the plugin is activated and at least one Add. P. is available --> *}
      <label class = "ec_block" for = "ec_in_up_aps_id" onclick = "return ec_mark_action('ec_input_action_add_p');"
       {if !$ec_ap_ok or count($ec_lists.add_pages) == 0} style = "display:none;" {/if}
      >
        <input type = "radio" name = "ec_input_action" value = "add_p" id = "ec_input_action_add_p" for = "ec_in_up_aps_id" />
        {'Additional Page'|@translate}<br />
        <select class = "categoryList" name = "ec_in_up_aps" size="30" id = "ec_in_up_aps_id" onchange = "ec_selected_AP = this.value;" >
          {html_options options=$ec_lists.add_pages}
        </select>
      </label>
      
      {* <!-- Category, provided at least one category is available --> *}
      <label class = "ec_block" for = "ec_in_up_cats_id" onclick = "return ec_mark_action('ec_input_action_cat');"
       {if count($ec_lists.categories) == 0} style = "display:none;" {/if}
      >
        <input type = "radio" name = "ec_input_action" value = "cat" id = "ec_input_action_cat" for = "ec_in_up_cats_id"
          onMouseover = "ec_chk_nover_cat = false;" onMouseout = "ec_chk_nover_cat = true;"
        />
        <span onMouseover = "ec_chk_nover_cat = false;" onMouseout = "ec_chk_nover_cat = true;">{'Category'|@translate}</span><br />
        <select class = "categoryList" name = "ec_in_up_cat" size = "30" id = "ec_in_up_cats_id" onchange = "ec_selected_cat = this.value;">
          {html_options options=$ec_lists.categories}
        </select>
      </label>
      
      {* <!-- Image, provided at least one category is available and at least one image is associated to one category --> *}
      <label class = "ec_block" for = "ec_in_up_imgs_id" onclick = "return ec_mark_action('ec_input_action_img');"
       {if $ec_no_assoc or count($ec_lists.categories) == 0} style = "display:none;" {/if}
      >
        <input type = "radio" name = "ec_input_action" value = "img" id = "ec_input_action_img" for = "ec_in_up_imgs_id" />
        {'Image id'|@translate}<br />
        <input type = "text" name = "ec_in_up_img" id = "ec_in_up_imgs_id" maxlength = "6"
         size = "10" onblur = "ec_selected_img = this.value; ec_check_img_text();" onfocus = "return ec_mark_action('ec_input_action_img');"
        /><br />
        <span id = "ec_in_up_imgs_warn"></span>
      </label>
      
      {* <!-- Index page --> *}
      <label class = "ec_block" onclick = "return ec_mark_action('ec_input_action_home');">
        <input type = "radio" name = "ec_input_action" value = "home" id = "ec_input_action_home" />
        {'Home'|@translate}
      </label>
      
      {* <!-- Access denied page (only when modifying an entry) --> *}
      {if !$ec_is_creation}
        <label class = "ec_block" onclick = "return ec_mark_action('ec_input_action_refused');">
          <input type = "radio" name = "ec_input_action" value = "refused" id = "ec_input_action_refused" />
          {'Access denied'|@translate}
        </label>
      {/if}
    </li>
    
  </fieldset>
  
  <p>
    <input class = "submit" type = "submit" value = "{'Submit'|@translate}"/>
    <input class = "submit" type = "submit" value = "{'Reset'|@translate}" onclick = "return ec_init();"/>
  </p>
</form>

{* <!-- JavaScript functions --> *}
<script type = "text/javascript" src = "{$RACINE_URL}{$EVNTCATS_PATH}admin/template/autolog_new.js"></script>
<script type = "text/javascript"><!--
  ec_is_creation                          = {if $ec_is_creation}true{else}false{/if};
  ec_up_code_lbl_forced_txt               = "{'Forced'|@translate}";
  ec_JS_message['ec_gen_user_act_miss']   = "{'ec_gen_user_act_miss'|@translate|@escape:javascript}";
  ec_JS_message['ec_act_cat_miss']        = "{'ec_act_cat_miss'|@translate|@escape:javascript}";
  ec_JS_message['ec_act_img_miss']        = "{'ec_act_img_miss'|@translate|@escape:javascript}";
  ec_JS_message['ec_new_pwd_gen']         = "{'ec_new_pwd_gen'|@translate|@escape:javascript}";
  ec_JS_message['ec_act_entry_miss']      = "{'ec_act_entry_miss'|@translate|@escape:javascript}";
  ec_JS_message['ec_confirm_force']       = "{'ec_confirm_force'|@translate|@escape:javascript}";
  ec_JS_message['ec_confirm_del_other']   = "{'ec_confirm_del_other'|@translate|@escape:javascript}";
  ec_JS_message['ec_user_already_exists'] = "{'ec_user_already_exists'|@translate|@escape:javascript}";
  ec_JS_message['ec_code_already_exists'] = "{'ec_code_already_exists'|@translate|@escape:javascript}";
  ec_JS_message['ec_conf_pwd_dont_match'] = "{'ec_conf_pwd_dont_match'|@translate|@escape:javascript}";
  ec_JS_message['ec_confirm_change_user'] = "{'ec_confirm_change_user'|@translate|@escape:javascript}";
  ec_JS_message['Home']                   = "{'Home'|@translate}";
  ec_JS_message['ec_submit_code_miss']    = "{'ec_submit_code_miss'|@translate}";
  ec_JS_message['ec_submit_user_miss']    = "{'ec_submit_user_miss'|@translate}";
  ec_JS_message['ec_submit_action_miss']  = "{'ec_submit_action_miss'|@translate}";
  ec_JS_message['ec_submit_code_bad']     = "{'ec_submit_code_bad'|@translate}";
  ec_default_action                       = "{$ec_default_action}";
  ec_default_entry                        = "{$ec_default_entry}";
  ec_auto_code_digits_nb                  = "{$ec_def_auto_code_dg_nb}";
  {if $ec_is_creation}
    {foreach from=$ec_lists.duplicable_codes.ids key=ec_key item=ec_val}
      ec_duplic_codes[{$ec_key}] = {$ec_val};
    {/foreach}
  {/if}
  {foreach from=$ec_lists.ec_table item=ec_val name=listloop}
    ec_lists_temp[{$smarty.foreach.listloop.index}] = "{$ec_val.id};{$ec_val.code};{$ec_val.user_id};{$ec_val.action};{$ec_val.arg1};{$ec_val.arg2};{$ec_val.forced}";
  {/foreach}
  ec_build_ec_lists();
  ec_init();
//--></script>

{include file='../../../plugins/event_cats/admin/template/footer.inc.tpl'}
